# Cuticle

Cuticle is a video compositor /w live support.

Features:

* VP8, VP9, H264, Opus, AAC-LC encoding
* WebM decoding (VP8, VP9 video; Opus audio)
* WebM encoding (VP8, VP9 video; Opus audio)
* RTMP streaming (Twitch)
* 16-bit linear RGB processing
* Fixed 48kHz internal sample rate, 30Hz frame rate
* Powerful editing capability brought by node graphs
* Node keyframing

Development-wise, the software currently needs a large amount of refactoring, but it's mostly capable for basic recording.

Todo:

* Masking polygons
* Configuable framerate
* More container & codec support
* Use vaapi for accelerating video processing
